Bug 974225 - No sound after reboot with kernel >= 3.9.5 or even on resume from kernel version > 3.8.11
No sound after reboot with kernel >= 3.9.5 or even on resume from kernel vers...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 13:47 EDT by Andras Horvath
Modified: 2014-02-10 11:41 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:16:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of alsa-info.sh before standby (102.10 KB, text/plain)
2013-07-11 02:11 EDT, casi.wehmeier
no flags Details
Output of alsa-info.sh after resume (108.34 KB, text/plain)
2013-07-11 02:20 EDT, casi.wehmeier
no flags Details
alsa info after resume (87.33 KB, text/plain)
2013-07-22 10:27 EDT, Jeff Layton
no flags Details

  None (edit)
Description Andras Horvath 2013-06-13 13:47:31 EDT
Description of problem:

No sound on my up-to-date Fedora 18 x64. The last kernel version with which I have sound after reboot and after resume too is 3.8.11-200.fc18.x86_64. Between 3.8.11 and 3.9.5 I have sound after reboot, but no sound whatsoever after resuming my computer. With 3.9.5 I have no sound after a fresh cold boot either.

The only possible tweak that I could come up with as a workaround is to install pavucontrol and play with the mixer settings there. It worked only with kernel 3.9.5 and only after the fresh reboot, whereas I got back my sound just fine. I don't know how to reproduce it though. Random deeds seem to cure it. After resume I never could get back the sound.

Version-Release number of selected component (if applicable):

Up-to-date Fedora 18 x64.

How reproducible:

Allways.

Steps to Reproduce:

1. Boot into an up-to-date Fedora 18 64 bit system.
2. Also, suspend the computer and resume it.

Actual results:

No sound.

Expected results:

Have sound.

Additional info:

My hardware is a Dell Inspiron 1525 notebook with integrated Intel VGA and audio chips. lspci info:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

Thanks.
Comment 1 Rex Dieter 2013-06-13 14:02:21 EDT
Sounds like a kernel/driver thing, unless...


does restarting pulseaudio help?  ie, does:
pulseaudio -k
start-pulseaudio-x11

make it start working again?
Comment 2 Andras Horvath 2013-06-13 14:22:40 EDT
(In reply to Rex Dieter from comment #1)
> Sounds like a kernel/driver thing, unless...
> 
> 
> does restarting pulseaudio help?  ie, does:
> pulseaudio -k
> start-pulseaudio-x11
> 
> make it start working again?

Unfortunately it doesn't help. I've tried this already, just forgot to mention this in the report.
Comment 3 Rex Dieter 2013-06-13 14:26:03 EDT
OK, reassigning to kernel then.
Comment 4 Andras Horvath 2013-06-13 14:29:27 EDT
(In reply to Rex Dieter from comment #3)
> OK, reassigning to kernel then.

Another progress. It seems to me now that playing with pavucontrol solved my first problem, whereas I have sound now after a fresh boot with every kernel version in F18. I can't say what changed though.

Now the only thing I can't seem to figure out is how to get back sound after resume with the kernel versions above 3.8.11.
Comment 5 Andras Horvath 2013-06-13 14:30:45 EDT
(In reply to Rex Dieter from comment #3)
> OK, reassigning to kernel then.

Another thing. I created an up-to-date F18 live system with exactly the same Gnome 3 and userland that I use on my system. And booting into this live system shows the same issues that I described above.
Comment 6 Andras Horvath 2013-06-13 14:39:49 EDT
I'm downloading nightly F19 live isos and will be testing it with that soon. Report back later with the result.
Comment 7 Andras Horvath 2013-06-13 15:08:49 EDT
I've tested and booted into an F19 live (nightly build 20130620, desktop, gnome, 64 bit) and it produced the same issue. No sound after resume.

Any idea how I could track down this bug? Would dmesg messages or any other log content help?
Comment 8 Andras Horvath 2013-06-13 15:27:21 EDT
fix: build date: 20130610
Comment 9 Andras Horvath 2013-06-13 16:36:35 EDT
I tested my system by hibernating it instead of suspend. It produces the same, no sound after coming back above kernel version 3.8.11.
Comment 10 Josh Boyer 2013-07-01 14:09:55 EDT
Can you provide the output of dmesg and alsa-info?
Comment 11 Andras Horvath 2013-07-02 06:46:07 EDT
(In reply to Josh Boyer from comment #10)
> Can you provide the output of dmesg and alsa-info?

$ uname -r
3.9.6-200.fc18.x86_64
(entirely updated as of now)

alsa-info:
https://gist.github.com/anonymous/5908339

dmesg (containing the info since I pressed the sleep button and resume too):
https://gist.github.com/anonymous/5908358
Comment 12 Talha Khan 2013-07-06 13:55:22 EDT
I have the same problem as well. For my case, I do get sound when I use headphones, but no sound comes from the speakers. Restarting pulseaudio doesn't help either.
I never had this problem when I installed Fedora 18, with the default kernel that comes with it. However, one of the kernel updates might have started this problem. Since then, I've been having this issue, both in Gnome and KDE. I'm currently running Fedora 19 with the latest kernel as of today:

3.9.9-301.fc19.x86_64


Here is the dmesg output (after I came back from suspend):

https://dl.dropboxusercontent.com/u/4684014/dmesg-output.txt

Here is the also-info output file:

https://dl.dropboxusercontent.com/u/4684014/alsa-info.txt.Q0x6HyUBO9
Comment 13 Talha Khan 2013-07-06 13:56:55 EDT
Forgot to add, I get the sound back after a reboot, but no sound after resume from suspend.
Comment 14 Talha Khan 2013-07-06 14:02:28 EDT
Sorry, I also forgot to add that I am using a Dell Vostro 1400 laptop, and I have the same audio device:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
Comment 15 casi.wehmeier 2013-07-11 02:11:33 EDT
Created attachment 772028 [details]
Output of alsa-info.sh before standby
Comment 16 casi.wehmeier 2013-07-11 02:20:22 EDT
Created attachment 772029 [details]
Output of alsa-info.sh after resume

I have the same problem with my Dell Inspiron 1525 notebook. No sound after resuming from standby in Fedora 18 and 19. I wanted to report this bug to the ALSA project as well, but I don't know how, bugtrack.alsa-project.org is not accessible. In Fedora 18 I was able to help me with scripts in /usr/lib/systemd/system-slepp which killed pulseaudio and rmmod / modprobe snd_hda_intel before standby / after resume. In Fedora 19 these scrips do not work. The module snd_hda_intel is in use although pulseaudio was killed before rmmod. I tried different models of the driver for the codec SigmaTel STAC9228 by creating /etc/modprobe.d/snd_hda_intel.conf. With the "ref" model I was able to resume from standby two times with working sound, then the sound didn't work any more. After a reboot sound works fine. I attached the output of alsa-info.sh before (with working sound) and after resuming (with broken sound).
Comment 17 Jeff Layton 2013-07-22 10:27:19 EDT
Created attachment 776928 [details]
alsa info after resume

"Me too.." on wife's dell inspiron 1525. Here's the alsa-info from it after resume.
Comment 18 Raymond 2013-07-25 08:46:15 EDT
Sysfs Files
!!-----------

/sys/class/sound/hwC0D0/init_pin_configs:
0x0a 0x0221101f
0x0b 0x40f000f0
0x0c 0x40f000f1
0x0d 0x90170110
0x0e 0x02811030
0x0f 0x02011020
0x10 0x40f000f2
0x11 0x40f000f3
0x12 0x40f000f4
0x13 0x90a60040
0x14 0x40f000f5
0x21 0x034410a0
0x22 0x40f000f6

/sys/class/sound/hwC0D0/driver_pin_configs:
0x0c 0x90a79130
0x0f 0x0227011f
0x0e 0x02a79130


http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/?id=f3e351eef3a7fd1e36a3e18d4f2f069b00deb23c
Comment 19 Justin M. Forbes 2013-10-18 17:08:06 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 20 Justin M. Forbes 2013-11-27 11:16:24 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 21 Andras Horvath 2014-02-10 02:10:27 EST
Still the same problem persists on F20. This bug might be the same:

https://bugzilla.redhat.com/show_bug.cgi?id=983861
Comment 22 Raymond 2014-02-10 09:57:16 EST
try hda_jack_sense_test.py which require python and hda-analyzer 

https://bugzilla.kernel.org/show_bug.cgi?id=66621#c39

and find out the node of your headphone jacks and mic jacks by plug/unplug the headphone and mic into your three jacks 

pd=1 when plugged and pd=0 when unplugged
Comment 23 Raymond 2014-02-10 10:08:43 EST
http://www.idt.com/products/audio-products/high-definition-hd-audio-codecs/stac9228-eight-channel-hd-audio-codec


/sys/class/sound/hwC0D0/driver_pin_configs:
0x0c 0x90a79130
0x0f 0x0227011f
0x0e 0x02a79130

the driver change line in to mic and line out to headphone
but it is quite strange that it  disable jack detection of line in and line out jack 


Node 0x0e [Pin Complex] wcaps 0x400181: Stereo
  Control: name="Mic Phantom Jack", index=0, device=0
  Pincap 0x00001737: IN OUT Detect Trigger ImpSense
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x02813050: [Jack] Line In at Ext Front
    Conn = 1/8, Color = Blue
    DefAssociation = 0x5, Sequence = 0x0
  Pin-ctls: 0x24: IN VREF_80
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x04
Node 0x0f [Pin Complex] wcaps 0x400181: Stereo
  Control: name="Front Headphone Front Phantom Jack", index=0, device=0
  Pincap 0x00001737: IN OUT Detect Trigger ImpSense
    Vref caps: HIZ 50 GRD 80
  Pin Default 0x02011020: [Jack] Line Out at Ext Front
    Conn = 1/8, Color = Black
    DefAssociation = 0x2, Sequence = 0x0
  Pin-ctls: 0x40: OUT VREF_HIZ
  Unsolicited: tag=00, enabled=0
  Connection: 1
     0x05
Comment 24 Raymond 2014-02-10 10:14:43 EST
as stac9228 is a 8 channels HDA codec

does the specification mention about the support of surround 5.1 by external speakers using the three audio jacks of the note book
Comment 25 Andras Horvath 2014-02-10 11:41:45 EST
It seems to work for me now (F20, 64 bit, kernel 3.12.10-300) when playing with the settings in the mixer. Currently testing it on XFCE desktop. I enable options and then uncheck them, mute some of the controls then allow it back, and finally I have working sound.

Note You need to log in before you can comment on or make changes to this bug.